# Retrieve a brand profile

`GET https://api.parasend.com/v1/brand_profiles/{id}`

Source: https://parasend.com/docs/api/brand-profiles/retrieve

Authentication: `Authorization: Bearer <API key>` (a `ps_test_` key in test mode, `ps_live_` in live mode).

Retrieves a brand profile and its current version.

## Path parameters

- `id` (string, required): The brand profile's ID, starting `bp_`.

## Example: Retrieve a brand profile

```bash
curl "https://api.parasend.com/v1/brand_profiles/bp_01M6R27T817SW9MENZEV3KSZZX" \
  -H "Authorization: Bearer $PARASEND_KEY"
```

```js
const res = await fetch('https://api.parasend.com/v1/brand_profiles/bp_01M6R27T817SW9MENZEV3KSZZX', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.PARASEND_KEY}`,
  },
});
const data = await res.json();
```

## Response 200

The profile with its current version.

```json
{
  "id": "bp_01M6R27T817SW9MENZEV3KSZZX",
  "object": "brand_profile",
  "name": "Fyrirtæki ehf.",
  "is_default": false,
  "version": 1,
  "version_id": "bpv_01M6R27T82QZMJ98K4RGVQBRF0",
  "sender_display_name": "Fyrirtæki ehf.",
  "sender_display_name_dative": null,
  "logo": {
    "asset_id": "bas_01M6R27T7R9RDBHE6X72ZRW3YC",
    "url": "/v1/brand_assets/bas_01M6R27T7R9RDBHE6X72ZRW3YC/content",
    "sha256": "f72bdd36e6ce104c53c8f21bd9e618e113a66f4d6729d43a4cb07b3f1373addb",
    "width": 200,
    "height": 48
  },
  "monogram": "F",
  "sms_sender_name": null,
  "icon": null,
  "primary_color": "#1E5BB8",
  "contrast_ratio": 6.47,
  "header_style": "band",
  "support": {
    "email": null,
    "phone": null,
    "url": null
  },
  "expired_message": {
    "is": null,
    "en": null
  },
  "reply_to": null,
  "recipient_domain_id": null,
  "email_sender_id": null,
  "theme": {
    "colors": {
      "page_background": null,
      "card_background": null,
      "text": null,
      "secondary_text": null,
      "button_background": null,
      "button_text": null,
      "header_background": null,
      "header_text": null,
      "divider": null
    },
    "button_radius": null,
    "card_radius": null,
    "card_shadow": null,
    "font": null,
    "logo_height": null,
    "header_align": null,
    "show_safety_note": null,
    "show_support_line": null,
    "show_sender_line": null,
    "card_footer": null,
    "card_footer_text": {
      "is": null,
      "en": null
    },
    "layout": null,
    "page_image_asset_id": null,
    "logo_background": "tile",
    "show_name_with_logo": null,
    "show_service_label": null
  },
  "contrasts": {
    "text_on_card": 18.19,
    "links_on_card": 6.47,
    "header_text_on_header": 6.47,
    "button_text_on_primary": 6.47,
    "secondary_text_on_card": 5.98
  },
  "used_by": {
    "deliveries": 0
  },
  "created_at": "2026-11-06T09:15:05.856Z",
  "updated_at": "2026-11-06T09:15:05.856Z",
  "archived_at": null
}
```

Errors: one shape, `{"error": {type, code, message, param, request_id}}`; every code is listed at https://parasend.com/docs/errors.
